#include <stdio.h>
#include "../objects.h"
#include "../../io/io.h"
#include "../../shared/shared.h"

/*Constructors/Destructors*/
/*FUNCTION BamgGeom::BamgGeom(){{{1*/
BamgGeom::BamgGeom(){

	this->VerticesSize[0]=0,          this->VerticesSize[1]=0;          this->Vertices=NULL;
	this->EdgesSize[0]=0,             this->EdgesSize[1]=0;             this->Edges=NULL;
	this->TangentAtEdgesSize[0]=0,    this->TangentAtEdgesSize[1]=0;    this->TangentAtEdges=NULL;
	this->CornersSize[0]=0,           this->CornersSize[1]=0;           this->Corners=NULL;
	this->RequiredVerticesSize[0]=0,  this->RequiredVerticesSize[1]=0;  this->RequiredVertices=NULL;
	this->RequiredEdgesSize[0]=0,     this->RequiredEdgesSize[1]=0;     this->RequiredEdges=NULL;
	this->CrackedEdgesSize[0]=0,      this->CrackedEdgesSize[1]=0;      this->CrackedEdges=NULL;
	this->SubDomainsSize[0]=0,        this->SubDomainsSize[1]=0;        this->SubDomains=NULL;

}
/*}}}*/
/*FUNCTION BamgGeom::~BamgGeom(){{{1*/
BamgGeom::~BamgGeom(){

	xfree((void**)&this->Vertices);
	xfree((void**)&this->Edges);
	xfree((void**)&this->TangentAtEdges);
	xfree((void**)&this->Corners);
	xfree((void**)&this->RequiredVertices);
	xfree((void**)&this->RequiredEdges);
	xfree((void**)&this->CrackedEdges);
	xfree((void**)&this->SubDomains);

}
/*}}}*/
